Page MenuHomePhabricator

CC0 license message for structured data contributions
Closed, ResolvedPublic

Description

Overview

Problem

Licensing contributions for structured data are currently not listed on Commons.

Solution

All structured data from the file and property namespaces are available under the Creative Commons CC0 License. We need a message that states this clearly to users before they publish contributions. Commons will use the same text that Wikidata uses because it has already been reviewed and approved by the legal department, and it's useful to have this kind of language be consistent across projects.

Acceptance criteria

It is clear to users on both File Pages and Upload Wizard that editing/adding structured data is a CC0 contribution.

Text

"By clicking "publish", you agree to the terms of use, and you irrevocably agree to release your contribution under the Creative Commons CC0 License." ... "I accept these terms for my future edits. Do not show this message again."

The above message will be shown on edit unless the user permanently dismiss it by accepting those terms.

User flows & designs

File Page

Proposal is for the File Page message to operate in the same manner as Wikidata: when a user selects "edit" they will see the CC0 dialog, and accept the message to permanently dismiss the notice.

user flowdialog
Upload Wizard

The CC0 message will work a little differently on Upload Wizard because there is no read/edit mode like File Page. Instead, the proposal is to show it on the Release Rights step, so all licensing information is grouped on the same step.

For reference

Screenshot of Wikidata's license popover

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2019, 3:15 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptJan 23 2019, 4:42 PM
Ramsey-WMF moved this task from Backlog to Design and spec docs on the SDC General board.
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
PDrouin-WMF updated the task description. (Show Details)Jan 23 2019, 6:59 PM
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF updated the task description. (Show Details)Jan 23 2019, 7:15 PM
PDrouin-WMF updated the task description. (Show Details)Jan 23 2019, 10:27 PM
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF renamed this task from Mocks showing where CC0 license text should go on file captions to CC0 license text should appear for structured data contributions.Jan 24 2019, 5:10 PM
PDrouin-WMF renamed this task from CC0 license text should appear for structured data contributions to Design mocks for CC0 license message for structured data contributions.Jan 24 2019, 5:13 PM
PDrouin-WMF updated the task description. (Show Details)Jan 25 2019, 11:03 PM
PDrouin-WMF updated the task description. (Show Details)Feb 5 2019, 4:49 PM
PDrouin-WMF updated the task description. (Show Details)
PDrouin-WMF updated the task description. (Show Details)Feb 5 2019, 4:52 PM
Ramsey-WMF moved this task from Next up to Needs Design on the Multimedia board.Feb 5 2019, 9:30 PM

Hi @matthiasmullie & @Cparle - I have updated designs for Upload Wizard and File Page based on new input @Ramsey-WMF said it'd be ideal to have this implemented before end of day tomorrow (Tuesday).

Upload Wizard changes based on community and legal input

Updated design for File Page based on legal input

Logo links:
CC - https://mirrors.creativecommons.org/presskit/icons/cc.svg
CC0 - https://mirrors.creativecommons.org/presskit/icons/zero.svg

Change 489997 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Add CC0 license notice for captions

https://gerrit.wikimedia.org/r/489997

Change 489997 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Add CC0 license notice for captions

https://gerrit.wikimedia.org/r/489997

Change 490023 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Add CC0 license dialog

https://gerrit.wikimedia.org/r/490023

matthiasmullie renamed this task from Design mocks for CC0 license message for structured data contributions to CC0 license message for structured data contributions.Feb 12 2019, 11:13 AM
matthiasmullie claimed this task.

Change 490023 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add CC0 license dialog

https://gerrit.wikimedia.org/r/490023

Change 490075 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Add missing dependency on OOUI windows module

https://gerrit.wikimedia.org/r/490075

Change 490075 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Add missing dependency on OOUI windows module

https://gerrit.wikimedia.org/r/490075

Change 490096 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Update copy to reflect actual button text

https://gerrit.wikimedia.org/r/490096

Change 490096 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Update copy to reflect actual button text

https://gerrit.wikimedia.org/r/490096

Change 490124 had a related patch set uploaded (by Jforrester; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.16] Add CC0 license dialog

https://gerrit.wikimedia.org/r/490124

Change 490125 had a related patch set uploaded (by Jforrester; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.16] Add missing dependency on OOUI windows module

https://gerrit.wikimedia.org/r/490125

Change 490126 had a related patch set uploaded (by Jforrester; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.16] Update copy to reflect actual button text

https://gerrit.wikimedia.org/r/490126

Change 490127 had a related patch set uploaded (by Jforrester; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@wmf/1.33.0-wmf.16] Add CC0 license notice for captions

https://gerrit.wikimedia.org/r/490127

Change 490127 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@wmf/1.33.0-wmf.16] Add CC0 license notice for captions

https://gerrit.wikimedia.org/r/490127

Change 490124 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.16] Add CC0 license dialog

https://gerrit.wikimedia.org/r/490124

Change 490125 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.16] Add missing dependency on OOUI windows module

https://gerrit.wikimedia.org/r/490125

Change 490126 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@wmf/1.33.0-wmf.16] Update copy to reflect actual button text

https://gerrit.wikimedia.org/r/490126

Mentioned in SAL (#wikimedia-operations) [2019-02-12T22:29:02Z] <jforrester@deploy1001> Started scap: Full scap for new i18n and code for T214482 T215471 T215472

Mentioned in SAL (#wikimedia-operations) [2019-02-12T22:47:05Z] <jforrester@deploy1001> Finished scap: Full scap for new i18n and code for T214482 T215471 T215472 (duration: 18m 03s)

Mentioned in SAL (#wikimedia-operations) [2019-02-12T23:08:38Z] <jforrester@deploy1001> Started scap: Another full scap, hoping to find the new i18n in RL for T214482 T215471 T215472

Mentioned in SAL (#wikimedia-operations) [2019-02-12T23:14:39Z] <jforrester@deploy1001> Finished scap: Another full scap, hoping to find the new i18n in RL for T214482 T215471 T215472 (duration: 06m 01s)

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Live in production for ~20 hours now; sorry, should have updated this task then.

@PDrouin-WMF ready to close this? I've already created T216298 for the message on the new Metadata tab.

PDrouin-WMF closed this task as Resolved.Feb 18 2019, 4:04 PM

Sounds good to me!